unit UnitTrigmessPar;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm2 = class(TForm)
    GroupBox1: TGroupBox;
    EditMaxHz: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    EditMaxZD: TEdit;
    EditMaxDI: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    EditMaxDH: TEdit;
    procedure FormActivate(Sender: TObject);
    procedure EditMaxHzChange(Sender: TObject);
    procedure EditMaxZDChange(Sender: TObject);
    procedure EditMaxDIChange(Sender: TObject);
    procedure EditMaxDHChange(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form2: TForm2;
  MaxDH:Double;
  MaxDI:Double;
  MaxHz:Double;
  MaxZD:Double;

implementation

uses UnitTrigmessMain;

{$R *.dfm}

procedure TForm2.FormActivate(Sender: TObject);

begin
  EditMaxHZ.Text:=Format('%9.4f',[MaxHZ]);
  EditMaxZD.Text:=Format('%9.4f',[MaxZD]);
  EditMaxDI.Text:=Format('%9.3f',[MaxDI]);
  EditMaxDH.Text:=Format('%9.3f',[MaxDH]);
end;

procedure TForm2.EditMaxHzChange(Sender: TObject);
begin
  MaxHZ:=StrToFloat(EditMaxHZ.Text);
end;

procedure TForm2.EditMaxZDChange(Sender: TObject);
begin
  MaxZD:=StrToFloat(EditMaxZD.Text);
end;

procedure TForm2.EditMaxDIChange(Sender: TObject);
begin
  MaxDI:=StrToFloat(EditMaxDI.Text);
end;

procedure TForm2.EditMaxDHChange(Sender: TObject);
begin
  MaxDH:=StrToFloat(EditMaxDH.Text);
end;

procedure TForm2.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Form1.SaveIniFile;
end;

end.
